rte_swx_ipsec_sa_authentication_params(3)

NAME
rte_swx_ipsec_sa_authentication_params

SYNOPSIS

#include <rte_swx_ipsec.h>

  Data Fields

enum rte_crypto_auth_algorithm alg
uint8_t key [RTE_SWX_IPSEC_KEY_SIZE_MAX]
uint32_t key_size

Detailed Description

IPsec SA crypto authentication parameters.

Definition at line 201 of file rte_swx_ipsec.h.

Field Documentation

  enum rte_crypto_auth_algorithm alg
Authentication algorithm.

Definition at line 203 of file rte_swx_ipsec.h.

  uint8_t key[RTE_SWX_IPSEC_KEY_SIZE_MAX]
Authentication key.

Definition at line 206 of file rte_swx_ipsec.h.

  uint32_t key_size
Authentication key size in bytes.

Definition at line 209 of file rte_swx_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.